Subject: Re: [PATCH] git-gui: Implement a 'clone' subcommand

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 30 Sep 2008 12:53:30 -0700

Petr Baudis <[email-masked]> wrote:
> This enables git-gui to be started with the clone dialog opened right
> away, possibly with the URL prefilled when it is passed as another
> argument. git-gui can then be e.g. registered as the git:// protocol
> handler.
> 
> This is just a simple implementation - we construct the front actions
> page, then throw it away immediately; I wanted to avoid unnecessary
> refactoring and complication of the code, though.
> 
> Signed-off-by: Petr Baudis <[email-masked]>
> 
> ---
>  Documentation/git-gui.txt         |    5 +++++
>  git-gui/git-gui.sh                |   21 ++++++++++++++++++---
>  git-gui/lib/choose_repository.tcl |   11 ++++++++++-
>  3 files changed, 33 insertions(+), 4 deletions(-)

This looks fine, except for the diffstat.  You can't patch
the docs and the code in the same patch as they are in two
different repositories...  :-|

Also, I don't know if you've noticed but I think tg is
sending duplicate "To" headers in the messages:

	From: Petr Baudis <[email-masked]>
*	To: [email-masked]
	Cc: [email-masked], Petr Baudis <[email-masked]>
	Subject: [PATCH] git-gui: Implement a 'clone' subcommand
	Date: Tue, 30 Sep 2008 18:51:41 +0200
	Message-Id: <[email-masked]>
	X-Mailer: git-send-email 1.5.6.3.392.g292f1
*	To: [email-masked]
	Sender: [email-masked]
	Precedence: bulk
	List-ID: <git.vger.kernel.org>
	X-Mailing-List: [email-masked]
 
-- 
Shawn.